extends ../layout.pug

append styles
  link(
    rel="stylesheet"
    href="/public/views/home/index.css"
  )

append content
  .container
    .row
      .col.s6.offset-s3
        h4 Todo

        form(method="post" action="/todos" enctype="multipart/form-data")
          .input-field
            input#title.validate(type='text' name="title")
            label(for='title') New todo item

        if todos.length
          ul.collection
            each val in todos
              li.hover.collection-item(style="display: flex; justify-content: space-between; align-items: center")
                label
                  input.filled-in.check(type='checkbox' checked=false class=val.id)
                  span.grey-text.text-darken-4= val.title
                form(method="post" action="/todos/" + val.id + "?_method=DELETE")
                  button.waves-effect.waves-light.btn-small.btn-flat(type="submit") X

        if completed.length
          h4(style="opacity: 0.6") Completed items

          ul.collection(style="opacity: 0.6")
            each val in completed
              li.hover.collection-item(style="display: flex; justify-content: space-between; align-items: center")
                label
                  input.filled-in.uncheck(type='checkbox' checked=true class=val.id)
                  span.grey-text.text-darken-4= val.title
                form(method="post" action="/todos/" + val.id + "?_method=DELETE")
                  button.waves-effect.waves-light.btn-small.btn-flat(type="submit") X

append scripts
  script.
      $('li.hover').hover(function () {
          $(this).addClass('z-depth-2');
      }, function () {
          $(this).removeClass('z-depth-2');
      });

      $('input.check').click(function () {
          $(this).prop('classList').forEach((item) => {
              if (['filled-in', 'check'].includes(item)) {
                  return;
              }

              $.post(`/todos/${item}/complete?_method=PUT`, { complete: true}, () => location.reload());
          });
      });

      $('input.uncheck').click(function () {
        $(this).prop('classList').forEach((item) => {
          if (['filled-in', 'uncheck'].includes(item)) {
          return;
          }

          $.post(`/todos/${item}/complete?_method=PUT`, { complete: false}, () => location.reload());
        });
      });
